/**
 * Level.java
 *
 * File generated from the XValidator4::Level uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.xvalidation.core.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import net.ihe.gazelle.hql.FilterLabel;

/**
 * Description of the enumeration Level.
 *
 *
 */

@XmlType(name = "Level")
@XmlEnum
@XmlRootElement(name = "Level")
public enum Level {
	@XmlEnumValue("ERROR")
	ERROR("ERROR"),
	@XmlEnumValue("WARNING")
	WARNING("WARNING"),
	@XmlEnumValue("INFO")
	INFO("INFO");

	private final String value;

	Level(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	@FilterLabel
	public String getValue() {
		return value;
	}

	public static Level fromValue(String v) {
		for (Level c : Level.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		return null;
	}

}